<div id="review">
  <div class="d-sm-flex align-center justify-space-between">
    <div>
      <p class="mb-0 h6 
      text">
        Review
      </p>
    </div>
    <div class="d-sm-flex align-center mt-3 mt-sm-0" id="hideBottomInput">
      <div>
        <v-text-field dense outlined v-model="config.search" prepend-inner-icon="mdi-magnify" style="width: 320px"
          background-color="#ffffff" @keyup.enter="onGetListCoupon()" placeholder="Search by name">
        </v-text-field>
      </div>
      <!-- <div class="d-sm-flex justify-center ml-sm-3 mt-3 mt-sm-0">
        <v-select dense outlined v-model="config.approved" :items="listApproved" item-text="name" item-value="value"
          style="max-width: 200px" background-color="#ffffff">
        </v-select>
      </div> -->
    </div>
  </div>

  <v-card class="mt-5 card-ui">
    <v-tabs v-model="tab" background-color="transparent" color="basil">
      <v-tab class="text-none">
        Pending
      </v-tab>
      <v-tab class="text-none">
        Approved
      </v-tab>
    </v-tabs>
    <div>
      <v-skeleton-loader class="mx-auto mt-10" width="100%" type="card" v-if="loadingTable">
      </v-skeleton-loader>
      <div v-else>
        <v-simple-table>
          <template v-slot:default>
            <thead>
              <tr>
                <th class="text-left">
                  <p class="mb-0 colorGreyHeaderTable text-uppercase fsize-12 font-weight-bold">
                    Buyer
                  </p>
                </th>
                <th class="text-left">
                  <p class="mb-0 colorGreyHeaderTable text-uppercase fsize-12 font-weight-bold">
                    Product
                  </p>
                </th>
                <th class="text-left">
                  <p class="mb-0 colorGreyHeaderTable text-uppercase fsize-12 font-weight-bold">
                    Review
                  </p>
                </th>
                <th class="text-left">
                  <p class="mb-0 colorGreyHeaderTable text-uppercase fsize-12 font-weight-bold">
                    Images
                  </p>
                </th>
                <th class="text-left">
                  <p class="mb-0 colorGreyHeaderTable text-uppercase fsize-12 font-weight-bold">
                    Time
                  </p>
                </th>
                <th class="text-left">
                  <p class="mb-0 colorGreyHeaderTable text-uppercase fsize-12 font-weight-bold">
                    Action
                  </p>
                </th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="(review, i) in listReview" :key="i">
                <td class="py-2">
                  <p class="mb-0 lightContentBlue fsize-14">
                    {{review.email}}
                  </p>
                  <p class="mb-0 lightContentBlue fsize-14 mt-1">
                    {{review && review.name}}
                  </p>
                  <p class="mb-0 lightContentBlue fsize-14 mt-1">
                    {{review.phoneNumber}}
                  </p>
                </td>
                <td class="py-2">
                  <div class="d-flex align-center">
                    <div>
                      <img :src="convertImage(review.productId.coverId.imageUrl)" alt=""
                        v-if="review.productId && review.productId.coverId && review.productId.coverId.imageUrl"
                        width="65" height="65">
                    </div>
                    <p class="mb-0 ml-2">
                      {{review && review.productId && review.productId.name}}
                    </p>
                  </div>
                </td>
                <td class="py-2">
                  <v-chip small color="blue" class="py-1 px-2" v-if="review.replyTo">
                    <span class="white--text">
                      Reply: {{review.replyTo.content}}
                    </span>
                  </v-chip>
                  <div v-if="!review.replyTo">
                    <div class="d-flex align-center" v-if="review && review.rating">
                      <div v-for="n in review.rating" :key="n">
                        <v-icon class="mr-1" size="16" color="#FB8C00">
                          mdi-star
                        </v-icon>
                      </div>
                      <div v-for="n in (5 - review.rating)" :key="n">
                        <v-icon class="mr-1" size="16" color="grey darken-1">
                          mdi-star
                        </v-icon>
                      </div>
                    </div>
                    <div v-else>
                      <div v-for="n in 5" :key="n">
                        <v-icon class="mr-1" size="16" color="grey darken-1">
                          mdi-star
                        </v-icon>
                      </div>
                    </div>
                  </div>
                  <p class="mb-0 fsize-14 mt-2">
                    {{review.content.length > 25 ? review.content.slice(0,25) + '...' : review.content }}
                  </p>
                </td>
                <td class="py-2">
                  <div class="d-flex align-center">
                    <div class="d-flex align-center mr-3" v-for="(img) in review.images">
                      <img :src="convertImage(img)" alt="" width="65" height="65" class="rounded">
                    </div>
                  </div>
                </td>
                <td class="py-2">
                  <p class="mb-0">
                    {{review.createdAt && formatDate(review.createdAt)}}
                  </p>
                </td>
                <td class="py-2">
                  <v-btn color="#076CE3" class="elevation-0" small @click="onApproved(review._id)" v-if="tab === 0"
                    :disabled="loadingId === review._id">
                    <v-progress-circular indeterminate color="#076CE3" v-if="loadingId === review._id" size="22">
                    </v-progress-circular>
                    <div class="d-flex align-center" v-else>
                      <v-icon color="#ffffff" size="18">
                        mdi-check
                      </v-icon>
                      <p class="mb-0 white--text ml-2 text-none">
                        Approved
                      </p>
                    </div>
                  </v-btn>
                  <v-btn color="#FF5252" class="elevation-0" small @click="openDialogDelete(review._id)">
                    <div class="d-flex align-center">
                      <v-icon color="#ffffff" size="18">
                        mdi-delete
                      </v-icon>
                      <p class="mb-0 white--text ml-2 text-none">
                        Delete
                      </p>
                    </div>
                  </v-btn>
                </td>
              </tr>
            </tbody>
          </template>
        </v-simple-table>
        <div class="d-flex justify-center my-2" v-if="listReview.length == 0 && !loadingTable">
          <span>No review list yet</span>
        </div>
        <div class="text-center mt-4 pb-2 d-sm-flex align-center justify-center">
          <v-pagination v-model="config.page" :length="totalPage" :total-visible="5" class="pagination">
          </v-pagination>
          <div id="hideBottomInput" class="input-gotopage pos-relative mx-3 mx-sm-0 mt-3 mt-sm-0">
            <v-text-field dense outlined v-model.number="page" placeholder="Go to page">
            </v-text-field>
            <div class="button-inside-input">
              <v-btn height="36px" color="#076CE3" class="px-0 button-inside-input__button elevation-0"
                @click="onRedirectPage()">
                <v-icon color="#ffffff">
                  mdi-chevron-right
                </v-icon>
              </v-btn>
            </div>
          </div>
        </div>
      </div>
    </div>
  </v-card>
  <!-- <v-tabs-items v-model="tab">
    <v-tab-item>
      <v-card color="basil" flat>
     
      </v-card>
    </v-tab-item>
  </v-tabs-items> -->
  <v-row justify="center">
    <v-dialog v-model="dialogDeleteReview" max-width="383">
      <v-card class="pa-0">
        <div class="py-5 px-6">
          <div class="d-flex align-center justify-center">
            <v-icon color="#EB5757" size="56">
              mdi-delete-forever
            </v-icon>
          </div>
          <p class="mb-0 mt-4 h6 text-center contentSemanticRed">
            Delete
          </p>
          <p class="mt-6 fsize-16 contentMain">
            Do you want to delete?
          </p>
        </div>
        <div class="pb-8 px-4 d-flex align-center justify-space-between">
          <v-btn text width="49%" @click="dialogDeleteReview = false" :disabled="loading">
            <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
              Cancel
            </p>
          </v-btn>
          <v-btn color="#FF5252" class="elevation-0" width="49%" @click="onDeleteReview()" :disabled="loading">
            <v-progress-circular indeterminate color="#FF5252" v-if="loading" size="22">
            </v-progress-circular>
            <p class="mb-0 fsize-16 font-weight-bold white--text" v-else>
              Delete
            </p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>